org.icefaces.ace.model.chart

## Class ChartSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BubbleSeries, CartesianSeries, GaugeSeries, OHLCSeries, SectorSeries

      public abstract class ChartSeries
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ChartSeries.ChartType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartSeries()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `abstract void` | `encodeRendererOptions(JSONBuilder cfg)`
    `java.lang.String` | `getColor()` Get the CSS color definition of this series
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)`
    `java.util.List<java.lang.Object>` | `getData()` Return the list of plain Java objects backing the chart.
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent chart)`
    `abstract ChartSeries.ChartType` | `getDefaultType()`
    `java.lang.Boolean` | `getFill()` Get whether or not this series fills the bars, sectors or region it covers with the its given color.
    `java.lang.Integer` | `getFillAlpha()` Get the transparency of the filled region under the line.
    `java.lang.Boolean` | `getFillToZero()` Return fillToZero behaviour truth value
    `java.lang.String` | `getLabel()` Return the label of the chart.
    `LineCap` | `getLineCap()` Get the style of termination used for lines of this series.
    `LineJoin` | `getLineJoin()` Get the style of join used to connect line segments of this series.
    `java.lang.Integer` | `getLineWidth()` Get the width of the line in pixels.
    `java.lang.String[]` | `getSeriesColors()` Get the array of CSS color definitions used to color this series.
    `java.lang.Boolean` | `getShadow()` Set if this line casts a shadow.
    `java.lang.Integer` | `getShadowAlpha()` Get the transparency of the shadow rendered.
    `java.lang.Integer` | `getShadowAngle()` Get the angle at which this line casts a shadow.
    `java.lang.Integer` | `getShadowDepth()` Get the number of stroke passes rendered by this shadow.
    `java.lang.Integer` | `getShadowOffset()` Get the offset of the shadow from the line.
    `java.lang.Boolean` | `getShow()` Return the truth value of this series visibility.
    `java.lang.Boolean` | `getShowMarker()` Return the truth value of the point marker visibility
    `ChartSeries.ChartType` | `getType()` Enum value determining the type of renderer that will be used client side to plot the data of this series.
    `java.lang.Boolean` | `getUseNegativeColors()` Get whether or not this series fills using an alternate color when rendering in a negative quadrant.
    `java.lang.Integer` | `getXAxis()` Get a integer defining which axis this Series is plotted against.
    `java.lang.Integer` | `getYAxis()` Get a integer defining which axis this Series is plotted against.
    `void` | `setColor(java.lang.String color)` Set the CSS color definition of this series.
    `void` | `setData(java.util.List<java.lang.Object> data)` Set the list of plain Java objects backing the chart.
    `void` | `setFill(java.lang.Boolean fill)` Set whether or not this series fills the bars, sectors or region it covers with the its given color.
    `void` | `setFillAlpha(java.lang.Integer fillAlpha)` Set the transparency of the filled region under the line.
    `void` | `setFillToZero(java.lang.Boolean fillToZero)` Enables bar charts to fill to zero but not beyond it.
    `protected void` | `setInCfgObject(JSONBuilder cfg, java.lang.String key, java.lang.Boolean value)` as each value is written to the seriesDefault object, put it in a list so that the series object doesn't double up and contain the same thing.
    `protected void` | `setInCfgObject(JSONBuilder cfg, java.lang.String key, double value)`
    `protected void` | `setInCfgObject(JSONBuilder cfg, java.lang.String key, int value)`
    `protected void` | `setInCfgObject(JSONBuilder cfg, java.lang.String key, java.lang.String value)` as each value is written to the seriesDefault object, put it in a list so that the series object doesn't double up and contain the same thing.
    `void` | `setLabel(java.lang.String label)` Set the label of the chart used in the Legend etc.
    `void` | `setLineCap(LineCap lineCap)` Set the style of how lines of this series will be terminated
    `void` | `setLineJoin(LineJoin lineJoin)` Set the the style of join used connect line segments of this series.
    `void` | `setLineWidth(java.lang.Integer lineWidth)` Set the width of the line in pixels.
    `void` | `setSeriesColors(java.lang.String[] seriesColors)` Set the array of the CSS color definitions.
    `void` | `setShadow(java.lang.Boolean shadow)` Set if this line casts a shadow.
    `void` | `setShadowAlpha(java.lang.Integer shadowAlpha)` Set the transparency of the shadow rendered.
    `void` | `setShadowAngle(java.lang.Integer shadowAngle)` Set the angle at which this line casts a shadow
    `void` | `setShadowDepth(java.lang.Integer shadowDepth)` Set the number of stroke passes rendered by this shadow.
    `void` | `setShadowOffset(java.lang.Integer shadowOffset)` Set the offset of the shadow from the line.
    `void` | `setShow(java.lang.Boolean show)` Set the visibility of this series.
    `void` | `setShowMarker(java.lang.Boolean showMarker)` Set the visibility of the point markers of this series
    `void` | `setType(ChartSeries.ChartType type)` Set an enum value determining the type of renderer that will be used client side to plot the data of this series.
    `void` | `setUseNegativeColors(java.lang.Boolean useNegativeColors)` Enable this series using an alternate color when rendering fills in a negative quadrant.
    `void` | `setXAxis(java.lang.Integer xAxis)` Set a integer defining which axis this Series is plotted against.
    `void` | `setYAxis(java.lang.Integer yAxis)` Set a integer defining which axis this Series is plotted against.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartSeries

          public ChartSeries()

  - ### Method Detail

    - #### getShow

          public java.lang.Boolean getShow()

      Return the truth value of this series visibility.
      Returns:
        series visibility truth value

    - #### setShow

          public void setShow(java.lang.Boolean show)

      Set the visibility of this series.
      Parameters:
        `show` - series visibility truth value

    - #### getShowMarker

          public java.lang.Boolean getShowMarker()

      Return the truth value of the point marker visibility
      Returns:
        point marker visibility truth value

    - #### setShowMarker

          public void setShowMarker(java.lang.Boolean showMarker)

      Set the visibility of the point markers of this series
      Parameters:
        `showMarker` - point marker visibility truth value

    - #### getXAxis

          public java.lang.Integer getXAxis()

      Get a integer defining which axis this Series is plotted against.
      Returns:
        the index of the x axis

    - #### setXAxis

          public void setXAxis(java.lang.Integer xAxis)

      Set a integer defining which axis this Series is plotted against.
      Parameters:
        `xAxis` - the index of the x axis

    - #### getYAxis

          public java.lang.Integer getYAxis()

      Get a integer defining which axis this Series is plotted against.
      Returns:
        the index of the y axis

    - #### setYAxis

          public void setYAxis(java.lang.Integer yAxis)

      Set a integer defining which axis this Series is plotted against.
      Parameters:
        `yAxis` - the index of the y axis

    - #### getFillToZero

          public java.lang.Boolean getFillToZero()

      Return fillToZero behaviour truth value
      Returns:
        fillToZero behaviour truth value

    - #### setFillToZero

          public void setFillToZero(java.lang.Boolean fillToZero)

      Enables bar charts to fill to zero but not beyond it. Used in cases where scale shows the bars extending beyond 0 undesirably.
      Parameters:
        `fillToZero` -

    - #### getLabel

          public java.lang.String getLabel()

      Return the label of the chart.
      Returns:
        String label value

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the label of the chart used in the Legend etc.
      Parameters:
        `label` - String value

    - #### getData

          public java.util.List<java.lang.Object> getData()

      Return the list of plain Java objects backing the chart.
      Returns:
        List value

    - #### setData

          public void setData(java.util.List<java.lang.Object> data)

      Set the list of plain Java objects backing the chart.
      Parameters:
        `data` - List value

    - #### getType

          public ChartSeries.ChartType getType()

      Enum value determining the type of renderer that will be used client side to plot the data of this series. These ChartTypes are defined as enums fields of the subclasses of ChartSeries in the org.icefaces.ace.model.chart package. These series subclasses are configurable with the options of their contained (supported) ChartTypes.
      Returns:
        enum determining series rendering engine

    - #### setType

          public void setType(ChartSeries.ChartType type)

      Set an enum value determining the type of renderer that will be used client side to plot the data of this series. ChartTypes are defined as enum fields of the subclasses of ChartSeries in the org.icefaces.ace.model.chart package. These series subclasses are configurable with the options of their contained (supported) ChartTypes.
      Parameters:
        `type` - an enum defined in this subclass of ChartSeries defining the series rendering type

    - #### getUseNegativeColors

          public java.lang.Boolean getUseNegativeColors()

      Get whether or not this series fills using an alternate color when rendering in a negative quadrant.
      Returns:
        negative colors enabled

    - #### setUseNegativeColors

          public void setUseNegativeColors(java.lang.Boolean useNegativeColors)

      Enable this series using an alternate color when rendering fills in a negative quadrant.
      Parameters:
        `useNegativeColors` - negative colors enabled

    - #### getFill

          public java.lang.Boolean getFill()

      Get whether or not this series fills the bars, sectors or region it covers with the its given color.
      Returns:
        fill enabled

    - #### setFill

          public void setFill(java.lang.Boolean fill)

      Set whether or not this series fills the bars, sectors or region it covers with the its given color.
      Parameters:
        `fill` - fill enabled

    - #### getLineWidth

          public java.lang.Integer getLineWidth()

      Get the width of the line in pixels.
      Returns:
        pixel width

    - #### setLineWidth

          public void setLineWidth(java.lang.Integer lineWidth)

      Set the width of the line in pixels.
      Parameters:
        `lineWidth` - pixel width

    - #### getLineJoin

          public LineJoin getLineJoin()

      Get the style of join used to connect line segments of this series.
      Returns:
        line join style enum

    - #### setLineJoin

          public void setLineJoin(LineJoin lineJoin)

      Set the the style of join used connect line segments of this series.
      Parameters:
        `lineJoin` - line join style enum

    - #### getLineCap

          public LineCap getLineCap()

      Get the style of termination used for lines of this series.
      Returns:
        line cap style enum

    - #### setLineCap

          public void setLineCap(LineCap lineCap)

      Set the style of how lines of this series will be terminated
      Parameters:
        `lineCap` - line cap style enum

    - #### getShadow

          public java.lang.Boolean getShadow()

      Set if this line casts a shadow.
      Returns:
        whether this line casts a shadow

    - #### setShadow

          public void setShadow(java.lang.Boolean shadow)

      Set if this line casts a shadow.
      Parameters:
        `shadow` - whether this line casts a shadow

    - #### getShadowAngle

          public java.lang.Integer getShadowAngle()

      Get the angle at which this line casts a shadow.
      Returns:
        angle in degrees

    - #### setShadowAngle

          public void setShadowAngle(java.lang.Integer shadowAngle)

      Set the angle at which this line casts a shadow
      Parameters:
        `shadowAngle` - angle in degrees

    - #### getShadowOffset

          public java.lang.Integer getShadowOffset()

      Get the offset of the shadow from the line.
      Returns:
        offset from the line in pixels.

    - #### setShadowOffset

          public void setShadowOffset(java.lang.Integer shadowOffset)

      Set the offset of the shadow from the line.
      Parameters:
        `shadowOffset` - offset from the line in pixels

    - #### getShadowDepth

          public java.lang.Integer getShadowDepth()

      Get the number of stroke passes rendered by this shadow. Effects width in turn with offset.
      Returns:
        number of shadow line strokes

    - #### setShadowDepth

          public void setShadowDepth(java.lang.Integer shadowDepth)

      Set the number of stroke passes rendered by this shadow. Effects width in turn with offset.
      Parameters:
        `shadowDepth` - number of shadow line stokes

    - #### getShadowAlpha

          public java.lang.Integer getShadowAlpha()

      Get the transparency of the shadow rendered.
      Returns:
        alpha value 0 to 100

    - #### setShadowAlpha

          public void setShadowAlpha(java.lang.Integer shadowAlpha)

      Set the transparency of the shadow rendered.
      Parameters:
        `shadowAlpha` - alpha value 0 to 100

    - #### getFillAlpha

          public java.lang.Integer getFillAlpha()

      Get the transparency of the filled region under the line.
      Returns:
        integer value 0-100

    - #### setFillAlpha

          public void setFillAlpha(java.lang.Integer fillAlpha)

      Set the transparency of the filled region under the line.
      Parameters:
        `fillAlpha` - integer value 0-100

    - #### getSeriesColors

          public java.lang.String[] getSeriesColors()

      Get the array of CSS color definitions used to color this series.
      Returns:
        array of CSS color definition Strings

    - #### setSeriesColors

          public void setSeriesColors(java.lang.String[] seriesColors)

      Set the array of the CSS color definitions.
      Parameters:
        `seriesColors` - array of CSS color definition Strings

    - #### getColor

          public java.lang.String getColor()

      Get the CSS color definition of this series
      Returns:
        CSS color String

    - #### setColor

          public void setColor(java.lang.String color)

      Set the CSS color definition of this series.
      Parameters:
        `color` - CSS color String

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent chart)

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

    - #### setInCfgObject

          protected void setInCfgObject(JSONBuilder cfg,
                                        java.lang.String key,
                                        java.lang.Boolean value)

      as each value is written to the seriesDefault object, put it in a list so that the series object doesn't double up and contain the same thing.
      Parameters:
        `cfg` -
        `key` -
        `value` -

    - #### setInCfgObject

          protected void setInCfgObject(JSONBuilder cfg,
                                        java.lang.String key,
                                        java.lang.String value)

      as each value is written to the seriesDefault object, put it in a list so that the series object doesn't double up and contain the same thing.
      Parameters:
        `cfg` -
        `key` -
        `value` -

    - #### setInCfgObject

          protected void setInCfgObject(JSONBuilder cfg,
                                        java.lang.String key,
                                        int value)

    - #### setInCfgObject

          protected void setInCfgObject(JSONBuilder cfg,
                                        java.lang.String key,
                                        double value)

    - #### getDefaultType

          public abstract ChartSeries.ChartType getDefaultType()

    - #### encodeRendererOptions

          public abstract void encodeRendererOptions(JSONBuilder cfg)

    - #### clear

          public void clear()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.